/**
 * EasyBeans
 * Copyright (C) 2006-2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AbstractAnnotationHandler.java 4124 2008-10-06 13:57:27Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.annotation.processor.handler;

import java.lang.annotation.Annotation;
import java.lang.reflect.Field;
import java.lang.reflect.Method;

import org.ow2.util.annotation.processor.IAnnotationHandler;
import org.ow2.util.annotation.processor.ProcessorException;

/**
 * An {@link AbstractAnnotationHandler} a facility class that provides
 * no-op implementation of the methods of {@link IAnnotationHandler}.
 *
 * @author Guillaume Sauthier
 */
public abstract class AbstractAnnotationHandler implements IAnnotationHandler {


    public void process(final Annotation annotation,
                        final Class<?> clazz,
                        final Object target) throws ProcessorException {
        // No-op
    }

    public void process(final Annotation annotation,
                        final Method method,
                        final Object target) throws ProcessorException {
        // No-op
    }

    public void process(final Annotation annotation,
                        final Field field,
                        final Object target) throws ProcessorException {
        // No-op
    }
}
